> ## Documentation Index
> Fetch the complete documentation index at: https://developer.portable.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List destination specs

> List all supported destination specs



## OpenAPI

````yaml get /v2/destinationspecs
openapi: 3.1.0
info:
  title: The Portable API
  description: This API allows you to interact with the Portable platform.
  version: 0.0.1
servers:
  - url: https://api.portable.io
security:
  - bearerAuth: []
paths:
  /v2/destinationspecs:
    get:
      tags:
        - Destination Specs
      summary: List destination specs
      description: List all supported destination specs
      operationId: listDestinationSpecs
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/DestinationSpecSummary'
components:
  schemas:
    DestinationSpecSummary:
      type: object
      properties:
        name:
          type: string
          description: The name of the destination spec
          x-go-type-skip-optional-pointer: true
          x-order: 1
        displayName:
          type: string
          description: A human-readable name for the destination spec
          x-go-type-skip-optional-pointer: true
          x-order: 2
        website:
          type: string
          description: The website of the destination spec
          x-go-type-skip-optional-pointer: true
          x-order: 3
        tagLine:
          type: string
          description: A one line description of the destination spec
          x-go-type-skip-optional-pointer: true
          x-order: 4
        lifecycle:
          type: string
          enum:
            - ALPHA
            - BETA
            - STABLE
            - DEPRECATED
          readOnly: true
          x-go-type-skip-optional-pointer: true
          x-order: 5
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````